Créer un thème

Cet extrait de code montre comment créer un thème à l'aide de la Meetings API.

Voir le Référence API pour plus d'informations.

Exemple de demande

Le cas échéant, remplacez les variables suivantes dans l'exemple de code par vos propres valeurs :

CléDescription
JWT

Used to authenticate your request. See Authentication for more information, including how to generate a JWT.

MAIN_COLOR

The main color that will be used for the meeting room.

BRAND_TEXT

The text that will appear on the meeting homepage, in the case that there is no brand image.

VONAGE_APPLICATION_ID

The Vonage Application ID.

VONAGE_APPLICATION_PRIVATE_KEY_PATH

Private key path.

Rédiger le code

Ajouter ce qui suit à create-theme.sh:

curl -X POST https://api-eu.vonage.com/meetings/themes \
  -H "Authorization: Bearer $JWT" \
  -H "Content-Type: application/json" \
  -d '{
    "main_color": "'$MAIN_COLOR'",
    "brand_text": "'$BRAND_TEXT'"
   }'

Voir la source complète

Exécutez votre code

Enregistrez ce fichier sur votre machine et exécutez-le :

sh create-theme.sh

Exemple de réponse

Votre thème a été créé.

{
    "theme_id": "d2ea5d08-43fa-4aeb-9855-dd87d72cb49f",
    "theme_name": "My custom theme",
    "domain": "VCP",
    "account_id": "123ab1ab",
    "application_id": "e3ad0a31-5043-49c7-9c7c-db42ec77823b",
    "main_color": "#12f64e",
    "short_company_url": null,
    "brand_text": "My custom brand",
    "brand_image_colored": null,
    "brand_image_white": null,
    "branded_favicon": null,
    "white_label": false,
    "brand_image_white_url": null,
    "brand_image_colored_url": null,
    "branded_favicon_url": null
}